#
# spec file for package sblim-cmpi-devel (Version 1.0.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        SBLIM CMPI Provider Development Support

Name:           sblim-cmpi-devel
Version:        1.0.4
Release:        4.5.12
Group:          Development/Libraries/C and C++
Url:            http://sblim.sf.net/
License:        Other uncritical OpenSource License; "EPL 1.0 ..."
BuildRequires:  gcc gcc-c++
Provides:       cmpi-devel
Source0:        http://prdownloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
Patch0:         sblim-cmpi-devel-cmpift.patch
Patch1:         sblim-cmpi-devel-cmpimacs.patch

%description
This packages provides the C and C++ CMPI header files needed by
provider developers and can be used standalone. If used for C++
provider development it is also necessary to have tog-pegasus-devel
installed.



%prep
%setup -T -b 0 -n %{name}-%{version}
%patch0 -b .sblim-cmpi-devel-cmpift.patch
%patch1 -b .sblim-cmpi-devel-cmpimacs.patch

%build
%configure --disable-library
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT 
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}-%{version}
%{_includedir}/cmpi

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Fri May  2 2008 bwhiteley@suse.de
- First checkin
